%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/detectReplicas.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{detectReplicas}

 \title{detectReplicas}

 \alias{detectReplicas}

 \keyword{}

 \description{}

 \arguments{
  \item{arrayDescription}{data frame which contains a column \code{spotIdentifier}}
  \item{spotIdentifier}{character string}
  \item{identifiersToBeSkipped}{vector of character strings to be ignored}
 }

 \value{a list containing \code{nrOfReplicas}, i.e. an integer characterizing the
  same number of spot replicas given for each identifier or otherwise \code{NA}, and
  containing \code{spotReplicas}, i.e. a list of the length of unique identifiers
  where each element contains a vector of indeces corresponding to the identifier 
  used as name for the list element 
  otherwise \code{NA}}

 \examples{

aD <- data.frame(ID=c("Blank", "Blank", "x", "x", "Control1", "y", "x", "z", "y", "Control2"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Blank", "Control1", "Control2"))
stopifnot(is.na(re$nrOfReplicas))

aD <- data.frame(ID=c("Blank", "x", "x", "Control1", "y", "z", "z", "y", "Control2"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Blank", "Control1", "Control2"))
stopifnot(re$nrOfReplicas == 2 )

aD <- data.frame(ID=c("z", "x", "x", "x", "y", "z", "z", "y", "y"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Blank", "Control1", "Control2"))
stopifnot(re$nrOfReplicas == 3 )

aD <- data.frame(ID=c("z", "x", "Control1", "y"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Control1"))
stopifnot(re$nrOfReplicas == 1 )


aD <- data.frame(ID=c("Blank", "Control1", "Blank", "Control2"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Blank", "Control1", "Control2"))
stopifnot(is.na(re$nrOfReplicas))

 }

 \author{Andreas Buness <a.buness@dkfz.de>}

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
