%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/plotDistributions.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{plotDistributions}

 \title{Visualise Distributions}

 \alias{plotDistributions}

 \keyword{}

 \description{Boxplot like visualisation of distributions, only the boxes, i.e. the median and roughly the second and third quartile are plotted (cf. \code{boxplot.stats}). The plots may help to identify shortcomings of the raw data or normalised data. The argument \code{quantiles} can be used to visualize two or three arbitrary quantiles with boxes.}

 \value{}


 \arguments{
  \item{dataMatrix}{data matrix, where columns represent distributions, e.g. raw array data, log(raw array data) or normalised data}
  \item{transFunc}{data transformation function, e.g. log}
  \item{quantiles}{missing by default; a vector of two or three increasing quantiles used to determine the boxes to be drawn}
  \item{title}{plot title, type character string}
  \item{labels}{vector of names, may substitute column names of \code{dataMatrix}}
  \item{xAxisLabel}{label for x axis}
  \item{yAxisLabel}{label for y axis}
  \item{colourVector}{vector of colours}
  \item{width}{graphics window width}
  \item{height}{graphics window height}
  \item{plotOutput}{character string specifying
        either "screen" or "pdf"; default: "screen"}

 }
 
 \details{Default of \code{transFunc} is no transformation, i.e. identity. If \code{labels} are supplied at first the column names or secondly a numbering  are used instead.By default the \code{colourVector} is defined as alternating darkred and darkgreen.}

 \seealso{\code{boxplot.stats}}

 \examples{plotDistributions(cbind(rnorm(100),rnorm(100)), title="Random Gaussians", labels = c("N1","N2"), yAxisLabel="scale")
          plotDistributions(as.matrix(1:100), quantiles=c(0.25,0.85),title = "Random Gaussians", labels = c("N1"), yAxisLabel = "scale")}
          plotDistributions(as.matrix(1:100), transFunc=log,quantiles=c(0.1,0.95),title = "Random Gaussians", labels = c("N1"), yAxisLabel = "scale")

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
